libwps Namespace Reference documentation

Namespaces | Classes | Enumerations | Functions
libwps Namespace Reference

## Namespaces
| Debug

## Classes
class | DebugFile
class | DebugStream
class | FileException
class | GenericException
class | ParseException
class | PasswordException
class | VersionException
class | WPSDocument
| This class provides all the functions an application would need to parse Works documents. More...

## Enumerations
enum | NumberingType { NONE, BULLET, ARABIC, LOWERCASE, UPPERCASE, LOWERCASE_ROMAN, UPPERCASE_ROMAN }
enum | SubDocumentType { DOC_NONE, DOC_HEADER_FOOTER, DOC_NOTE, DOC_TABLE, DOC_TEXT_BOX, DOC_COMMENT_ANNOTATION }
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
enum | WPSConfidence { WPS_CONFIDENCE_NONE =0, WPS_CONFIDENCE_EXCELLENT, WPS_CONFIDENCE_SUPPORTED_ENCRYPTION }
enum | WPSCreator { WPS_MSWORKS =0, WPS_LOTUS, WPS_QUATTRO_PRO, WPS_SYMPHONY, WPS_RESERVED_0, WPS_RESERVED_1, WPS_RESERVED_2, WPS_RESERVED_3, WPS_RESERVED_4, WPS_RESERVED_5, WPS_RESERVED_6, WPS_RESERVED_7, WPS_RESERVED_8, WPS_MSWRITE =WPS_RESERVED_0, WPS_DOSWORD =WPS_RESERVED_1 }
enum | WPSKind { WPS_TEXT =0, WPS_SPREADSHEET, WPS_DATABASE }
enum | WPSResult { WPS_OK, WPS_ENCRYPTION_ERROR, WPS_FILE_ACCESS_ERROR, WPS_PARSE_ERROR, WPS_OLE_ERROR, WPS_UNKNOWN_ERROR }

## Functions
uint8_t | readU8 (librevenge::RVNGInputStream *input)
int8_t | read8 (librevenge::RVNGInputStream *input)
uint16_t | readU16 (librevenge::RVNGInputStream *input)
int16_t | read16 (librevenge::RVNGInputStream *input)
uint32_t | readU32 (librevenge::RVNGInputStream *input)
int32_t | read32 (librevenge::RVNGInputStream *input)
bool | readDouble4 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: mantisse 2.5 bytes, exponent 1.5 bytes More...
bool | readDouble8 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 8 bytes: mantisse 6.5 bytes, exponent 1.5 bytes More...
bool | readDouble10 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 10 bytes: mantisse 8 bytes, exponent 2 bytes More...
bool | readDouble2Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 2 bytes: exponent 1.5 bytes, kind of mantisse 0.5 bytes More...
bool | readDouble4Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: exponent 3.5 bytes, mantisse 0.5 bytes More...
bool | readData (RVNGInputStreamPtr &input, unsigned long sz, librevenge::RVNGBinaryData &data)
| try to read sz bytes from input and store them in a librevenge::RVNGBinaryData More...
bool | readDataToEnd (RVNGInputStreamPtr &input, librevenge::RVNGBinaryData &data)
| try to read the last bytes from input and store them in a librevenge::RVNGBinaryData More...
std::string | numberingTypeToString (NumberingType type)
void | appendUnicode (uint32_t val, librevenge::RVNGString &buffer)
| adds an unicode character to a string ( with correct encoding ). More...
bool | encodeLotusPassword (char const *password, uint16_t &key, std::vector< uint8_t > &keys, uint8_t const(&defValues)[16])
| try to encode a lotus file More...
uint8_t | readU8 (RVNGInputStreamPtr &input)
uint16_t | readU16 (RVNGInputStreamPtr &input)
uint32_t | readU32 (RVNGInputStreamPtr &input)
int8_t | read8 (RVNGInputStreamPtr &input)
int16_t | read16 (RVNGInputStreamPtr &input)
int32_t | read32 (RVNGInputStreamPtr &input)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NoBreakBit |
NoBreakWithNextBit |

## ◆ Justification

enum libwps::Justification

Enumerator
JustificationLeft |
JustificationFull |
JustificationCenter |
JustificationRight |
JustificationFullAllLines |

## ◆ NumberingType

enum libwps::NumberingType

Enumerator
NONE |
BULLET |
ARABIC |
LOWERCASE |
UPPERCASE |
LOWERCASE_ROMAN |
UPPERCASE_ROMAN |

## ◆ SubDocumentType

enum libwps::SubDocumentType

Enumerator
DOC_NONE |
DOC_HEADER_FOOTER |
DOC_NOTE |
DOC_TABLE |
DOC_TEXT_BOX |
DOC_COMMENT_ANNOTATION |

## ◆ WPSConfidence

enum libwps::WPSConfidence

Enumerator
WPS_CONFIDENCE_NONE |
WPS_CONFIDENCE_EXCELLENT |
WPS_CONFIDENCE_SUPPORTED_ENCRYPTION |

## ◆ WPSCreator

enum libwps::WPSCreator

Enumerator
WPS_MSWORKS | Microsoft Works documents (all wps, wks and wdb)
WPS_LOTUS | Lotus DOS(Wk1), Apple(Lotus 123 v1), Windows(Wk3,Wk4,123) spreadsheets.
WPS_QUATTRO_PRO | Quattro Pro Wq1 and Wq2 spreadsheets(minimum filter)
WPS_SYMPHONY | Lotus Symphony files(untested, probably DOS documents)
WPS_RESERVED_0 |
WPS_RESERVED_1 |
WPS_RESERVED_2 |
WPS_RESERVED_3 |
WPS_RESERVED_4 |
WPS_RESERVED_5 |
WPS_RESERVED_6 |
WPS_RESERVED_7 |
WPS_RESERVED_8 |
WPS_MSWRITE |
WPS_DOSWORD |

## ◆ WPSKind

enum libwps::WPSKind

Enumerator
WPS_TEXT |
WPS_SPREADSHEET |
WPS_DATABASE |

## ◆ WPSResult

enum libwps::WPSResult

Enumerator
WPS_OK |
WPS_ENCRYPTION_ERROR |
WPS_FILE_ACCESS_ERROR |
WPS_PARSE_ERROR |
WPS_OLE_ERROR |
WPS_UNKNOWN_ERROR |

## Function Documentation

## ◆ appendUnicode()

void libwps::appendUnicode | ( | uint32_t | val,
|  | librevenge::RVNGString & | buffer
| ) |  |

adds an unicode character to a string ( with correct encoding ).

Referenced by WPS4Text::footNotesDataParser(), WPSContentListener::insertUnicode(), WKSContentListener::insertUnicode(), read32(), LotusStyleManager::readFontStyleF0(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), LotusSpreadsheet::readSheetName(), LotusSpreadsheet::readSheetName1B(), WPS8Text::readString(), QuattroSpreadsheet::sendCellContent(), WKS4Spreadsheet::sendCellContent(), LotusSpreadsheet::sendCellContent(), libwps_tools_win::unicodeFromCP932(), libwps_tools_win::unicodeFromCP950(), libwps_tools_win::Font::unicodeString(), and WPSOLE1Parser::updateMetaData().

## ◆ encodeLotusPassword()

bool libwps::encodeLotusPassword | ( | char const * | password,
|  | uint16_t & | key,
|  | std::vector< uint8_t > & | keys,
|  | uint8_t const(&) | defValues[16]
| ) |  |

try to encode a lotus file

Referenced by WKS4Parser::readZone(), LotusParser::readZone(), and LotusParser::retrievePasswordKeys().

## ◆ numberingTypeToString()

std::string libwps::numberingTypeToString | ( | NumberingType | type | ) |

Referenced by WPSPageSpan::_insertPageNumberParagraph(), WPSList::Level::addTo(), and WPSField::addTo().

## ◆ read16() [1/2]

int16_t libwps::read16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), WKS4Format::checkHeader(), LotusParser::checkHeader(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS8Text::getFooterEntry(), WPS8Text::getHeaderEntry(), WPS4Text::objectDataParser(), WPS8Struct::operator<<(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), WPS8Graph::readBDR(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), QuattroSpreadsheet::readCellFormulaResult(), WKS4Spreadsheet::readCellFormulaResult(), LotusSpreadsheet::readCellName(), QuattroSpreadsheet::readCellProperty(), LotusSpreadsheet::readCellsFormat801(), QuattroSpreadsheet::readCellStyle(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), QuattroParser::readChartName(), WKS4Parser::readChartName(), LotusParser::readChartName(), WKS4Parser::readChartUnknown(), LotusSpreadsheet::readColumnDefinition(), QuattroSpreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize(), LotusSpreadsheet::readColumnSizes(), LotusParser::readDataZone(), WPS8Parser::readDocProperties(), LotusParser::readDocumentInfoMac(), WPS4Parser::readDocWindowsInfo(), LotusSpreadsheet::readExtraRowFormats(), WPSTextParser::readFDP(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), LotusStyleManager::readFMTFontId(), LotusStyleManager::readFMTFontName(), LotusStyleManager::readFMTFontSize(), LotusParser::readFMTStyleName(), WKS4Parser::readFont(), WKS4Format::readFontId(), WKS4Format::readFontName(), WKS4Format::readFontSize(), QuattroSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), WPS8Parser::readFRAM(), LotusGraph::readFrame(), WPS8Parser::readFRCD(), LotusGraph::readGraphic(), LotusGraph::readGraphZone(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), QuattroSpreadsheet::readHiddenColumns(), WKS4Spreadsheet::readHiddenColumns(), WPS8Graph::readIBGF(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), WPS8Table::readMCLD(), WPS8Graph::readMetaFile(), WPSOLEParser::readMM(), WKS4Spreadsheet::readMsWorksColumnSize(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksDOSPageBreak(), WKS4Spreadsheet::readMsWorksPageBreak(), WKS4Spreadsheet::readMsWorksRowSize(), WKS4Spreadsheet::readMsWorksStyle(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readObjInfo(), WPSOLEParser::readOlePres(), WPS4Text::readParagraph(), WPSOLE1Parser::readPicture(), WPS8Text::readPLC(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readRowFormats(), QuattroSpreadsheet::readRowSize(), LotusSpreadsheet::readRowSizes(), WPS8TextStyle::readSGP(), LotusSpreadsheet::readSheetHeader(), LotusSpreadsheet::readSheetName(), QuattroSpreadsheet::readSheetSize(), WKS4Spreadsheet::readSheetSize(), LotusParser::readSheetZone(), LotusGraph::readTextBoxDataD1(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroParser::readUserFonts(), QuattroSpreadsheet::readUserStyle(), QuattroParser::readWindowRecord(), WKS4Parser::readWindowRecord(), WPS8Parser::readWNPR(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), LotusParser::readZone4(), LotusGraph::readZoneBeginC9(), LotusGraph::readZoneData(), and WPS8Text::tokenEndDataParser().

## ◆ read16() [2/2]

int16_t libwps::read16 | ( | RVNGInputStreamPtr & | input | ) |
| inline

## ◆ read32() [1/2]

int32_t libwps::read32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPS4Parser::findZones(), WPSOLEParser::isOle10Native(), WPSOLEParser::isOlePres(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readEntries(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), LotusGraph::readGraphDataZone(), LotusGraph::readGraphic(), LotusGraph::readGraphZone(), WPS8Table::readMCLD(), WPS8Graph::readMetaFile(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), WKS4Parser::readPrn2(), WPS4Parser::readPrnt(), WPS8Parser::readSPELLING(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Parser::readWNPR(), LotusParser::readZone1(), LotusParser::readZone4(), and WPS8Text::tokenEndDataParser().

## ◆ read32() [2/2]

int32_t libwps::read32 | ( | RVNGInputStreamPtr & | input | ) |
| inline

## ◆ read8() [1/2]

int8_t libwps::read8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by QuattroParser::checkHeader(), WKS4Parser::checkHeader(), WKS4Format::checkHeader(), LotusParser::checkHeader(), WPS4Parser::findZones(), WPS8Graph::readBDR(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartList(), LotusParser::readDataZone(), LotusParser::readDocumentInfoMac(), WPS4Parser::readDocWindowsInfo(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), WPS4Text::readFont(), WPS8TextStyle::readFontNames(), QuattroSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), LotusSpreadsheet::readFormula(), WPS8Parser::readFRCD(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), LotusParser::readMacFontName(), WKS4Spreadsheet::readMsWorksDOSPageBreak(), WPS8Text::readNotes(), WPSOLEParser::readOle(), WPS4Text::readParagraph(), WPS8Text::readPLC(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), WKS4Format::readZone(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), and LotusGraph::readZoneData().

## ◆ read8() [2/2]

int8_t libwps::read8 | ( | RVNGInputStreamPtr & | input | ) |
| inline

## ◆ readData()

bool libwps::readData | ( | RVNGInputStreamPtr & | input,
|  | unsigned long | size,
|  | librevenge::RVNGBinaryData & | data
| ) |  |

try to read sz bytes from input and store them in a librevenge::RVNGBinaryData

Referenced by LotusParser::decodeStream(), read32(), WPSOLEParser::readContents(), readDataToEnd(), LotusGraph::readGraphDataZone(), WPS8Graph::readMetaFile(), WPS4Graph::readObject(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), WPSOLE1Parser::readPicture(), LotusGraph::readPictureData(), and LotusGraph::sendPicture().

## ◆ readDataToEnd()

bool libwps::readDataToEnd | ( | RVNGInputStreamPtr & | input,
|  | librevenge::RVNGBinaryData & | data
| ) |  |

try to read the last bytes from input and store them in a librevenge::RVNGBinaryData

Referenced by WPS8Parser::createOLEStructures(), WPS4Parser::createOLEStructures(), WKS4Parser::decodeStream(), read32(), WPSOLEParser::readCONTENTS(), and WPSOLEParser::readMN0AndCheckWKS().

## ◆ readDouble10()

bool libwps::readDouble10 | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 10 bytes: mantisse 8 bytes, exponent 2 bytes

Referenced by read32(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

## ◆ readDouble2Inv()

bool libwps::readDouble2Inv | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 2 bytes: exponent 1.5 bytes, kind of mantisse 0.5 bytes

Referenced by read32(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

## ◆ readDouble4()

bool libwps::readDouble4 | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 4 bytes: mantisse 2.5 bytes, exponent 1.5 bytes

(first&3)==1: is used to decide if we store 100*N or N., (first&3)==2: indicates a basic int number (appears mainly when converting a dos file in a windows file) (first&3)==3: Can this exist ? What does this mean: 100*a basic int ? The other bytes seem to have classic meaning...

Referenced by read32(), WKS4Spreadsheet::readCell(), and LotusParser::readZone7().

## ◆ readDouble4Inv()

bool libwps::readDouble4Inv | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 4 bytes: exponent 3.5 bytes, mantisse 0.5 bytes

Referenced by read32(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

## ◆ readDouble8()

bool libwps::readDouble8 | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN
| ) |  |

read a double store with 8 bytes: mantisse 6.5 bytes, exponent 1.5 bytes

Referenced by read32(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), QuattroSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), and LotusSpreadsheet::readFormula().

## ◆ readU16() [1/2]

uint16_t libwps::readU16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), DosWordParser::checkHeader(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), WKS4Format::checkHeader(), LotusParser::checkHeader(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), WPSOLE1Parser::createZones(), WKS4Parser::decodeStream(), LotusParser::decodeStream(), WPS4Text::defDataParser(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS4Text::footNotesDataParser(), DosWordParser::getFileEncoding(), WPS8Text::numPages(), WPS8Struct::operator<<(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), read16(), WPS8Struct::readBlockData(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), QuattroSpreadsheet::readCellFormulaResult(), WKS4Spreadsheet::readCellFormulaResult(), LotusSpreadsheet::readCellName(), QuattroSpreadsheet::readCellProperty(), LotusSpreadsheet::readCellsFormat801(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleD2(), LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), QuattroParser::readChartName(), WKS4Parser::readChartName(), LotusParser::readChartName(), WKS4Parser::readChartUnknown(), LotusParser::readChartZone(), LotusStyleManager::readColorStyle(), LotusSpreadsheet::readColumnDefinition(), QuattroSpreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize(), LotusSpreadsheet::readColumnSizes(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), LotusParser::readDataZone(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Text::readDosLink(), readDouble10(), readDouble2Inv(), readDouble4(), LotusSpreadsheet::readExtraRowFormats(), WPSTextParser::readFDP(), MSWriteParser::readFFNTB(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), WKS4Spreadsheet::readFilterClose(), WKS4Spreadsheet::readFilterOpen(), LotusStyleManager::readFMTFontId(), LotusStyleManager::readFMTFontName(), LotusStyleManager::readFMTFontSize(), LotusParser::readFMTStyleName(), DosWordParser::readFNTB(), MSWriteParser::readFOD(), WKS4Parser::readFont(), WKS4Format::readFontId(), WKS4Format::readFontName(), WPS8TextStyle::readFontNames(), WKS4Format::readFontSize(), LotusStyleManager::readFontStyleA0(), LotusStyleManager::readFontStyleF0(), LotusStyleManager::readFormatStyle(), QuattroSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), LotusSpreadsheet::readFormula(), LotusGraph::readFrame(), WPS8Parser::readFRCD(), LotusGraph::readGraphic(), LotusStyleManager::readGraphicStyleC9(), LotusGraph::readGraphZone(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), QuattroSpreadsheet::readHiddenColumns(), WKS4Spreadsheet::readHiddenColumns(), LotusStyleManager::readLineStyle(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), LotusStyleManager::readMenuStyleE7(), WPSOLEParser::readMM(), WKS4Spreadsheet::readMsWorksColumnSize(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksDOSPageBreak(), WKS4Spreadsheet::readMsWorksPageBreak(), WKS4Spreadsheet::readMsWorksRowSize(), WKS4Spreadsheet::readMsWorksStyle(), WPS4Graph::readObject(), WPSOLE1Parser::readPicture(), LotusGraph::readPictureDefinition(), WPS4Text::readPLC(), WPS8Text::readPLC(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), LotusParser::readRefZone(), WKS4Spreadsheet::readReportClose(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readRowFormat(), LotusSpreadsheet::readRowFormats(), QuattroSpreadsheet::readRowSize(), LotusSpreadsheet::readRowSizes(), DosWordParser::readSECT(), DosWordParser::readSED(), MSWriteParser::readSED(), LotusSpreadsheet::readSheetHeader(), LotusSpreadsheet::readSheetName(), LotusSpreadsheet::readSheetName1B(), QuattroSpreadsheet::readSheetSize(), WKS4Spreadsheet::readSheetSize(), LotusParser::readSheetZone(), QuattroSpreadsheet::readSpreadsheetClose(), QuattroSpreadsheet::readSpreadsheetName(), QuattroSpreadsheet::readSpreadsheetOpen(), WPS8Text::readString(), MSWriteParser::readStructures(), WPS8TextStyle::readSTSH(), LotusStyleManager::readStyleE6(), DosWordParser::readSUMD(), WPS8Text::readText(), MSWriteParser::readText(), LotusGraph::readTextBoxDataD1(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroParser::readUserFonts(), QuattroSpreadsheet::readUserStyle(), WPS8Text::readUTF16LE(), LotusParser::readVersionZone(), QuattroParser::readWindowRecord(), WKS4Parser::readWindowRecord(), WPS8Parser::readWNPR(), WKS4Format::readZone(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), LotusParser::readZone1(), LotusParser::readZone4(), LotusParser::readZone7(), LotusParser::readZone8(), LotusGraph::readZoneBeginC9(), WKS4Parser::readZoneQuattro(), WKS4Format::readZones(), QuattroParser::readZones(), WKS4Parser::readZones(), LotusParser::readZones(), LotusParser::readZoneV3(), LotusGraph::sendTextBoxWK4(), and WPSOLE1Parser::updateMetaData().

## ◆ readU16() [2/2]

uint16_t libwps::readU16 | ( | RVNGInputStreamPtr & | input | ) |
| inline

## ◆ readU32() [1/2]

uint32_t libwps::readU32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPSOLE1Parser::createZones(), WPS4Text::defDataParser(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), WPS4Text::objectDataParser(), WPS8Struct::operator<<(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), MSWriteParser::processEmbeddedOLE(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), read32(), WPS8Graph::readBDR(), LotusStyleManager::readCellStyleD2Data(), LotusParser::readChartZone(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS4Parser::readDocWindowsInfo(), readDouble4Inv(), WPS4Text::readEntries(), WPSTextParser::readFDP(), MSWriteParser::readFIB(), DosWordParser::readFNTB(), MSWriteParser::readFOD(), WPS8TextStyle::readFontNames(), LotusGraph::readGraphic(), LotusStyleManager::readGraphicStyleC9(), LotusGraph::readGraphZone(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readOlePres(), WPS8Graph::readPICT(), WPSOLE1Parser::readPicture(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), LotusParser::readRefZone(), DosWordParser::readSED(), MSWriteParser::readSED(), LotusParser::readSheetZone(), WPS8Parser::readSPELLING(), MSWriteParser::readString(), LotusStyleManager::readStyleE6(), WPS8Parser::readWNPR(), WKS4Parser::readZone(), LotusParser::readZone1(), LotusParser::readZone4(), LotusParser::readZone8(), and WPS8Text::tokenEndDataParser().

## ◆ readU32() [2/2]

uint32_t libwps::readU32 | ( | RVNGInputStreamPtr & | input | ) |
| inline

## ◆ readU8() [1/2]

uint8_t libwps::readU8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS4Text::bkmkDataParser(), DosWordParser::checkHeader(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), WPS4Parser::checkHeader(), WKS4Format::checkHeader(), LotusParser::checkHeader(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), WPSOLE1Parser::createZones(), WKS4Parser::decodeStream(), LotusParser::decodeStream(), WPS4Text::defDataParser(), WPS4Text::findFDPStructuresByHand(), WPS4Text::footNotesDataParser(), MSWriteParser::getHeaderFooters(), WPS4Text::numPages(), WPS8Struct::operator<<(), WPS8Parser::parseHeaderIndexEntry(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), read8(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), QuattroSpreadsheet::readCellFormulaResult(), WKS4Spreadsheet::readCellFormulaResult(), LotusSpreadsheet::readCellName(), QuattroSpreadsheet::readCellProperty(), LotusSpreadsheet::readCellsFormat801(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleD2(), LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartFont(), QuattroParser::readChartName(), WKS4Parser::readChartName(), LotusParser::readChartName(), WKS4Parser::readChartUnknown(), LotusParser::readChartZone(), LotusStyleManager::readColorStyle(), LotusSpreadsheet::readColumnDefinition(), QuattroSpreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize(), LotusSpreadsheet::readColumnSizes(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), LotusParser::readDataZone(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), readDouble10(), readDouble4(), readDouble8(), LotusSpreadsheet::readExtraRowFormats(), WPSTextParser::readFDP(), QuattroParser::readFieldName(), LotusStyleManager::readFMTFontName(), LotusParser::readFMTStyleName(), MSWriteParser::readFOD(), WKS4Parser::readFont(), WPS4Text::readFont(), WKS4Format::readFontName(), WPS4Text::readFontNames(), LotusStyleManager::readFontStyleA0(), LotusStyleManager::readFontStyleF0(), LotusStyleManager::readFormatStyle(), QuattroSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), LotusSpreadsheet::readFormula(), LotusGraph::readFrame(), WPS8Parser::readFRCD(), LotusGraph::readGraphDataZone(), LotusGraph::readGraphic(), LotusStyleManager::readGraphicStyle(), LotusStyleManager::readGraphicStyleC9(), LotusGraph::readGraphZone(), QuattroSpreadsheet::readHiddenColumns(), WKS4Spreadsheet::readHiddenColumns(), WPS8Graph::readIBGF(), LotusStyleManager::readLineStyle(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), LotusStyleManager::readMenuStyleE7(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksStyle(), LotusSpreadsheet::readNote(), WPS4Graph::readObject(), WPSOLEParser::readOlePres(), WPS4Text::readParagraph(), WPS8Graph::readPICT(), WPSOLE1Parser::readPicture(), LotusGraph::readPictureData(), LotusGraph::readPictureDefinition(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), LotusParser::readRefZone(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readRowFormat(), LotusSpreadsheet::readRowFormats(), QuattroSpreadsheet::readRowSize(), LotusSpreadsheet::readRowSizes(), DosWordParser::readSECT(), MSWriteParser::readSED(), LotusSpreadsheet::readSheetName(), LotusSpreadsheet::readSheetName1B(), LotusParser::readSheetZone(), QuattroSpreadsheet::readSpreadsheetName(), LotusStyleManager::readStyleE6(), DosWordParser::readSUMD(), WPS4Text::readText(), readU16(), readU32(), QuattroSpreadsheet::readUserStyle(), LotusParser::readVersionZone(), WPS8Parser::readWNPR(), WKS4Format::readZone(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), LotusParser::readZone1(), LotusParser::readZone4(), LotusParser::readZone7(), LotusParser::readZone8(), LotusGraph::readZoneBegin(), LotusGraph::readZoneBeginC9(), LotusGraph::readZoneData(), WKS4Parser::readZoneQuattro(), LotusParser::readZones(), QuattroSpreadsheet::sendCellContent(), WKS4Spreadsheet::sendCellContent(), LotusSpreadsheet::sendText(), LotusGraph::sendTextBox(), LotusGraph::sendTextBoxWK4(), LotusSpreadsheet::sendTextNote(), and WPSOLE1Parser::updateMetaData().

## ◆ readU8() [2/2]

uint8_t libwps::readU8 | ( | RVNGInputStreamPtr & | input | ) |
| inline